
QGIS Application - Bug report #18121

Processing not working in QGIS 2.99
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26015

Description

QGIS 2.99.0 (6dfedc38e9) can't load Processing. I tried fixing the problem by deselecting all add-ons and clicking just Processing in the

plugins window. I also tried reinstalling QGIS 2.99.0. Processing still does not load.

Here's my error...

Couldn't load plugin 'processing' 

SyntaxError: invalid syntax 

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis-dev/./python\qgis\utils.py", line 311, in loadPlugin

    __import__(packageName)

  File "C:/OSGEO4~1/apps/qgis-dev/./python\qgis\utils.py", line 664, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\__init__.py", line 29, in 

    from processing.tools.general import *              # NOQA

  File "C:/OSGEO4~1/apps/qgis-dev/./python\qgis\utils.py", line 664, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\tools\general.py", line 39, in 

    from processing.core.Processing import Processing

  File "C:/OSGEO4~1/apps/qgis-dev/./python\qgis\utils.py", line 664, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\core\Processing.py", line 57, in 

    from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider  # NOQA

  File "C:/OSGEO4~1/apps/qgis-dev/./python\qgis\utils.py", line 664, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\algs\qgis\QgisAlgorithmProvider.py", line 114, in 

    from .RectanglesOvalsDiamondsVariable import RectanglesOvalsDiamondsVariable

  File "C:/OSGEO4~1/apps/qgis-dev/./python\qgis\utils.py", line 664, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\algs\qgis\RectanglesOvalsDiamondsVariable.py", line 147

    'Skipping…').format(feat.id())))

                                   ^

SyntaxError: invalid syntax

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

QGIS version: 2.99.0-Master Master, 6dfedc38e9 

Python Path:

C:/OSGEO4~1/apps/qgis-dev/./python
C:/Users/Cex/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/Cex/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/OSGEO4~1/apps/qgis-dev/./python/plugins

C:\OSGeo4W64\bin\python36.zip

C:\OSGEO4~1\apps\Python36\DLLs

C:\OSGEO4~1\apps\Python36\lib

C:\OSGeo4W64\bin

C:\OSGEO4~1\apps\Python36

C:\OSGEO4~1\apps\Python36\lib\site-packages

C:/Users/Cex/AppData/Roaming/QGIS/QGIS3\profiles\default/python

History

#1 - 2018-02-16 01:23 PM - Nyall Dawson

- Status changed from Open to Feedback

Do you custom build? This is very likely a local issue, and may require a complete removal/reinstall of QGIS.

#2 - 2018-02-16 04:00 PM - David Jordan

No, it's not a custom build. I updated as normal using the OSGeo4W installer.

I'll also tried completely removing and reinstalling QGIS. I deleted the QGIS-dev directory in the OSGeo4W64 folder after uninstalling. I also looked for the

QGIS plugins directory, which I think is supposed to be at ~/.local/share/QGIS/QGIS3/profiles/default/python/plugins/, but the folder is not there. When I

reinstalled QGIS my plugins were still installed, it's seems I was not able to completely uninstall QGIS.

I have had problems with processing and plugins before that were fixed by by deleting the .qgis2 folder and running QGIS again, but not this time.

#3 - 2018-02-17 12:24 AM - Jan Lippmann

i can confirm

the last ")" in RectanglesOvalsDiamondsVariable.py line 147 is wrong. remove this ")" processing works well

wrong:

feedback.pushInfo(QCoreApplication.translate('RectanglesOvalsDiamondsVariable', 'Feature {} has empty '

                                              'width, height or angle. '

                                              'Skipping…').format(feat.id())))

correct:

feedback.pushInfo(QCoreApplication.translate('RectanglesOvalsDiamondsVariable', 'Feature {} has empty '

                                              'width, height or angle. '

                                              'Skipping…').format(feat.id()))

#4 - 2018-02-17 08:02 AM - Jürgen Fischer
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

fixed in commit:b6111d296e7

#5 - 2018-02-17 08:02 AM - Jürgen Fischer

- Description updated
